
Redmine - Defect #17679

Attached inline image not working

2014-08-13 13:02 - Kira Schmieja

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

The documentation says the following on attaching inline images:

Inline images

   * !image_url! displays an image located at image_url (textile syntax)

   * !>image_url! right floating image

   * If you have an image attached to your wiki page, it can be displayed inline using its filenam

e: !attached_image.png!

 The third point does not appear to work. Trying to attach the image will only result in the text being shown

Example:

!Test Image.png!

 Test Image.png 

Related issues:

Is duplicate of Redmine - Defect #10189: Inline image does not work with spac... New

History

#1 - 2014-08-14 15:23 - Michael Esemplare

One point to make is that you have to escape the image filename so it would look like !Test%20Image.png! for the textile parsing to work.

After preliminary investigation I can confirm this bug exists with images that contain spaces in the file name.

#2 - 2014-08-15 00:38 - Michael Esemplare

Duplicate of #10189.

Escaping the spaces would be required for the textile parsing to work, however it breaks the method redmine uses to lookup the file name.

The defect #10189 describes two possible resolutions, fixing the textile parser to support spaces or fixing redmine to unescape the link.

#3 - 2014-08-16 02:11 - James H

+1

Inline Image calls do not work when file name has spaces.

Even using Percent encoding does not seem to work for me...

#4 - 2014-09-12 05:10 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Michael Esemplare wrote:

Duplicate of #10189.

 Thank you for your pointing.
#5 - 2014-09-12 05:11 - Toshi MARUYAMA

- Is duplicate of Defect #10189: Inline image does not work with spaces in file name added

Files

Test Image.png 5.17 KB 2014-08-13 Kira Schmieja
